API 端点:
https://seotool.tianchenw.com/api/v1/reports
请求示例:
curl --location --request GET 'https://seotool.tianchenw.com/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
searchsearch_byurl 为 URL. 默认为: url.projectresultgood 为 优质, decent 为 一般, bad 为 极差.sort_byid 为 创建日期, generated_at 为 生成日期, url 为 URL, result 为 结果. 默认为: id.sortdesc 为 Descending, asc 为 Ascending. 默认为: desc.per_page10, 25, 50, 100. 默认为: 100.API 端点:
https://seotool.tianchenw.com/api/v1/reports/{id}
请求示例:
curl --location --request GET 'https://seotool.tianchenw.com/api/v1/reports/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API 端点:
https://seotool.tianchenw.com/api/v1/reports
请求示例:
curl --location --request POST 'https://seotool.tianchenw.com/api/v1/reports' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}'
urlprivacy0 为 公共, 1 为 私人, 2 为 密码. 默认为: 1.passwordprivacy set to 2.API 端点:
https://seotool.tianchenw.com/api/v1/reports/{id}
请求示例:
curl --location --request PUT 'https://seotool.tianchenw.com/api/v1/reports/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
privacy0 为 公共, 1 为 私人, 2 为 密码.passwordprivacy set to 2.results0 为 不, 1 为 是. 默认为: 0.API 端点:
https://seotool.tianchenw.com/api/v1/reports/{id}
请求示例:
curl --location --request DELETE 'https://seotool.tianchenw.com/api/v1/reports/{id}' \ --header 'Authorization: Bearer {api_key}'